znorm {jmotif} | R Documentation

## Z-normalizes a time series by subtracting its mean and dividing by the standard deviation.

### Description

Z-normalizes a time series by subtracting its mean and dividing by the standard deviation.

### Usage

    znorm(ts, threshold = 0.01)

### Arguments

`ts` | the input time series.
`threshold` | the z-normalization threshold value, if the input time series' standard deviation will be found less than this value, the procedure will not be applied, so the "under-threshold-noise" would not get amplified.

### References

Dina Goldin and Paris Kanellakis, On similarity queries for time-series data: Constraint specification and implementation. In Principles and Practice of Constraint Programming (CP 1995), pages 137-153. (1995)

### Examples

    x = seq(0, pi*4, 0.02)
    y = sin(x) * 5 + rnorm(length(x))
    plot(x, y, type="l", col="blue")
    lines(x, znorm(y, 0.01), type="l", col="red")

[Package jmotif version 1.0.3 Index]